%global	origname	scribus
Name:		scribus154
Version:	1.5.4
Release:	5%{?dist}
Summary:	Open Source Page Layout
License:	GPLv2+
URL:		http://www.scribus.net/
Source0:	https://versaweb.dl.sourceforge.net/project/%{origname}/%{origname}-devel/%{version}/%{origname}-%{version}.tar.xz
#Source0:	http://downloads.sourceforge.net/%%{origname}/%%{origname}-%%{version}.tar.xz
#Source1:	http://downloads.sourceforge.net/%%{origname}/%%{origname}-%%{version}.tar.xz.asc
#Source2:	scribus.png
Source1:	%{origname}-icon24.png
Source2:	%{origname}-icon32.png
Source3:	%{origname}-icon64.png
Source4:	%{origname}-icon128.png
Source5:	%{origname}-icon256.png
Patch1:		0001-15289-FTBFS-1.5.4-with-error-invalid-conversion-from.patch
Patch2:		0002-fix-build-error-with-gcc.patch
Patch3:		0003-15289-FTBFS-when-using-poppler-0.64.0.patch
Patch4:		0004-Amend-r22498-so-as-to-allow-building-with-the-old-po.patch
Patch5:		0005-Fix-failure-to-build-PDF-import-plugin-with-poppler-.patch
Patch6:		0006-15462-FTBFS-with-poppler-0.70.0.patch
Patch7:		0007-Fix-for-building-pdf-importer-with-poppler-0.71.0.patch
Patch8:		0008-Allow-cmake-to-find-Hunspell-1.7-and-1.8-1.9.patch
Patch9:		0009-15516-changes-in-poppler-0.72.0-cause-build-failure.patch
Patch10:	0010-A-few-changes-necessary-for-enabling-compilation-wit.patch
Patch11:	0011-15537-changes-in-poppler-0.73.0-cause-build-failure.patch

BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	ghostscript
BuildRequires:	gnutls-devel
BuildRequires:	GraphicsMagick-devel
BuildRequires:	GraphicsMagick-c++-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	hyphen-devel
BuildRequires:	hunspell-devel
BuildRequires:	lcms2-devel
BuildRequires:	libappstream-glib
BuildRequires:	libcdr-devel
BuildRequires:	libfreehand-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libmspub-devel
BuildRequires:	libpagemaker-devel
BuildRequires:	libpng-devel
BuildRequires:	librevenge-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvisio-devel
BuildRequires:	libwpd-devel
BuildRequires:	libwpg-devel
BuildRequires:	libxml2-devel
BuildRequires:	OpenSceneGraph-devel
BuildRequires:	openssl-devel
BuildRequires:	podofo-devel
BuildRequires:	poppler-cpp-devel
BuildRequires:	poppler-data-devel
BuildRequires:	poppler-devel
%if 0%{?fedora} > 30
BuildRequires:	python2-devel
%else
BuildRequires:	python-devel
%endif
%if 0%{?fedora} > 24
BuildRequires:	python2-pillow-devel
BuildRequires:	python3-pillow-devel
%else
BuildRequires:	python-pillow-devel
%endif
BuildRequires:	python-qt5-devel
Requires:	qt5-qtbase-gui
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtdeclarative-devel
BuildRequires:	qt5-qttools-devel
BuildRequires:	qt5-qtwebkit-devel
BuildRequires:	tk-devel
%if 0%{?fedora} > 30
BuildRequires:	python2-tkinter
%else
BuildRequires:	tkinter
%endif
BuildRequires:	zlib-devel



%if 0%{?fedora} >= 23 || 0%{?rhel} > 7
Supplements:	%{origname}-doc = %{version}-%{release}
%else
Requires:	%{origname}-doc = %{version}-%{release}
%endif

Obsoletes:	scribus-svg
Obsoletes:	scribus-scripting
Obsoletes:	scribus-short-words
Obsoletes:	scribus-vlna
Obsoletes:	scribus-i18en
Obsoletes:	scribus-i18de
Obsoletes:	scribus-i18fr


%filter_provides_in %{_libdir}/%{origname}/plugins
%filter_setup


%description
Scribus is an desktop open source page layout program with
the aim of producing commercial grade output in PDF and
Postscript, primarily, though not exclusively for Linux.

While the goals of the program are for ease of use and simple easy to
understand tools, Scribus offers support for professional publishing
features, such as CMYK color, easy PDF creation, Encapsulated Postscript
import/export and creation of color separations.

%package        devel
Summary:        Header files for Scribus
Requires:       %{name} = %{version}-%{release}

%description    devel
#Header files for Scribus.

%package        doc
Summary:        Documentation files for Scribus
Requires:       %{name} = %{version}-%{release}
%if 0%{?fedora} > 9
BuildArch:      noarch
Obsoletes:      %{name}-doc < 1.3.5-0.12.beta
%endif

%description    doc
%{summary}

%prep
%autosetup -n %{origname}-%{version} -p1

# fix permissions
chmod a-x scribus/pageitem_latexframe.h

# drop shebang lines from python scripts
for f in scribus/plugins/scriptplugin/{samples,scripts}/*.py
do
    sed '1{/#!\/usr\/bin\/env\|#!\/usr\/bin\/python/d}' $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done

%build
mkdir build
pushd build
%cmake  -DWANT_CCACHE=YES \
	-DWANT_DISTROBUILD=YES \
	-DWANT_GRAPHICSMAGICK=1 \
	-DWANT_HUNSPELL=1 \
%ifarch x86_64 || aarch64 
	-DWANT_LIB64=YES \
%endif
	-DWANT_NORPATH=1 \
	-DWANT_VERSIONING=YES \
	-DWANT_CPP11=1 \
	-DWITH_BOOST=1 \
	-DWITH_PODOFO=1 ..

%make_build VERBOSE=1
popd

%install
pushd build
%make_install
popd

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# install hi-res icons for better appearance on gnome-shell
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{origname}-%{version}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{origname}-%{version}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{origname}-%{version}.png
install -D -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{origname}-%{version}.png
install -D -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{origname}-%{version}.png

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{origname}-%{version}.desktop
appstream-util validate-relax --nonet \
	%{buildroot}/%{_datadir}/metainfo/%{origname}-%{version}.appdata.xml

%post
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
update-desktop-database &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files
%doc %{_defaultdocdir}/%{origname}-%{version}/AUTHORS
%doc %{_defaultdocdir}/%{origname}-%{version}/ChangeLog
%doc %{_defaultdocdir}/%{origname}-%{version}/COPYING
%doc %{_defaultdocdir}/%{origname}-%{version}/README
%{_bindir}/%{origname}-%{version}
%{_libdir}/%{origname}-%{version}/
%{_datadir}/metainfo/%{origname}-%{version}.appdata.xml
%{_datadir}/applications/%{origname}-%{version}.desktop
%{_datadir}/mime/packages/%{origname}-%{version}.xml
%{_datadir}/icons/hicolor/16x16/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/24x24/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/32x32/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/64x64/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/128x128/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/256x256/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/512x512/apps/%{origname}-%{version}.png
%{_datadir}/icons/hicolor/1024x1024/apps/%{origname}-%{version}.png
%{_datadir}/%{origname}-%{version}/
%exclude %{_datadir}/%{origname}-%{version}/samples/*.py[co]
%exclude %{_datadir}/%{origname}-%{version}/scripts/*.py[co]
%{_mandir}/man1/*
%{_mandir}/pl/man1/*
%{_mandir}/de/man1/*

%files devel
%doc AUTHORS COPYING

%files doc
%dir %{_defaultdocdir}/%{origname}-%{version}
%lang(de) %{_defaultdocdir}/%{origname}-%{version}/de
%lang(en) %{_defaultdocdir}/%{origname}-%{version}/en
%lang(it) %{_defaultdocdir}/%{origname}-%{version}/it
%{_defaultdocdir}/%{origname}-%{version}/README*
%{_defaultdocdir}/%{origname}-%{version}/LINKS
%{_defaultdocdir}/%{origname}-%{version}/TRANSLATION

%changelog
* Fri Nov 01 2019 Michael J Gruber <mjg@fedoraproject.org> - 1.5.4-5
- make scribus fit for rawhide (py == py3) until they kill off py2

* Sun May 12 2019 Michael J Gruber <mjg@fedoraproject.org> - 1.5.4-4
- rebuild with poppler 0.73

* Thu Dec 06 2018 Michael J Gruber <mjg@fedoraproject.org> - 1.5.4-3
- rename package to allow easier parallel install

* Mon Dec 03 2018 Michael J Gruber <mjg@fedoraproject.org> - 1.5.4-2
- fix FTBFS on F29 (-fpermissive)

* Sun Apr 29 2018 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.4-1
- Update to 1.5.4

* Sun Feb 25 2018 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.3-2
- Cleaned up spec file

* Thu Jun 01 2017 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.3-1
- 1.5.3 release
